Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# be_produce.cpp File Reference

`#include "global_extern.h"`
`#include "TAO_IFR_BE_Export.h"`
`#include "be_extern.h"`
`#include "ast_root.h"`
`#include "ifr_visitor_macro.h"`
`#include "ifr_removing_visitor.h"`
`#include "ifr_adding_visitor.h"`

Include dependency graph for be_produce.cpp:

## Functions
const char * | get_rcsid_be_be_produce (const char *)
void | BE_cleanup (void)
TAO_IFR_BE_Export void | BE_abort (void)
TAO_IFR_BE_Export int | BE_ifr_init (int &ac, char *av[])
void | BE_create_holding_scope (ACE_ENV_SINGLE_ARG_DECL)
TAO_IFR_BE_Export void | BE_produce (void)
## Variables
const char * | rcsid_be_be_produce = get_rcsid_be_be_produce ( rcsid_be_be_produce )

## Function Documentation

TAO_IFR_BE_Export void BE_abort | ( | void |  | ) |

void BE_cleanup | ( | void |  | ) |

void BE_create_holding_scope | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

TAO_IFR_BE_Export int BE_ifr_init | ( | int & | ac,
|  | char * | av[]
| ) |

TAO_IFR_BE_Export void BE_produce | ( | void |  | ) |

const char* get_rcsid_be_be_produce | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_be_be_produce = get_rcsid_be_be_produce ( rcsid_be_be_produce )`[static]`